Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.statistics
Class CIBPerfStatsImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.statistics.CIBPerfStatsImpl

All Implemented Interfaces:
  CIBProvider, CIBStats, javax.management.j2ee.statistics.Stats

Direct Known Subclasses:
  CIBApplicationPerfStatsImpl, CIBExternalResourcePerfStatsImpl, CIBResourcePerfStatsImpl, CIBServicePerfStatsImpl

public abstract class CIBPerfStatsImpl
extends java.lang.Object
implements CIBStats

Provides default implementation of a CIBPerfStats provider

Field Summary

Fields inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`CIBStatsVersion`

Constructor Summary
`CIBPerfStatsImpl()`

Method Summary
`void` | `destroy()` Reset the statictics object of the stats
`javax.management.j2ee.statistics.Statistic` | `getStatistic(java.lang.String name)` Returns the Statistic based on its name
`java.lang.String[]` | `getStatisticNames()` Returns the Statistic names supported by the Stats object
`javax.management.j2ee.statistics.Statistic[]` | `getStatistics()` Returns the all the statistic objects of the Stats object
`void` | `init()` Initialize and reset the statistic objects of the stats

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`fromCompositeData, toCompositeData`

Constructor Detail

### CIBPerfStatsImpl

    public CIBPerfStatsImpl()

Method Detail

### getStatisticNames

    public java.lang.String[] getStatisticNames()

  Returns the Statistic names supported by the Stats object

  Specified by:
    `getStatisticNames` in interface `javax.management.j2ee.statistics.Stats`
  Returns:
    String[]

### getStatistic

    public javax.management.j2ee.statistics.Statistic getStatistic(java.lang.String name)

  Returns the Statistic based on its name

  Specified by:
    `getStatistic` in interface `javax.management.j2ee.statistics.Stats`
  Parameters:
    `name` - String
  Returns:
    Statistic

### getStatistics

    public javax.management.j2ee.statistics.Statistic[] getStatistics()

  Returns the all the statistic objects of the Stats object

  Specified by:
    `getStatistics` in interface `javax.management.j2ee.statistics.Stats`
  Returns:
    Statistic[]

### init

    public void init()
              throws CIBIOException,
                     CIBException

  Initialize and reset the statistic objects of the stats

  Specified by:
    `init` in interface `CIBProvider`
  Throws:
    `CIBException`
    `CIBIOException`

### destroy

    public void destroy()
                 throws CIBIOException,
                        CIBException

  Reset the statictics object of the stats

  Specified by:
    `destroy` in interface `CIBProvider`
  Throws:
    `CIBException`
    `CIBIOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD